<?php
function starts_with($haystack, $needle)
{
  return ($needle === ""
          || strrpos($haystack, $needle, -strlen($haystack)) !== false);
}

function ends_with($haystack, $needle)
{
  return ($needle === ""
          || strpos($haystack, $needle, strlen($haystack) - strlen($needle))
          !== false);
}

function error($code, $message)
{
  header("HTTP/ $code $message");
  die(json_encode(array("code" => intval($code), "message" => $message)));
}

function get_post($key, $is_error = true)
{
  if (isset($_POST[$key]))
    return $_POST[$key];
  else if ($is_error)
    error(400, "Missing parameters");
  else
    return false;
}

?>
